Subject: [bug#77394] [PATCH 1/5] gnu: inchi: Update to 1.07.3.

From: David Elsing <[email-masked]>
Date: Mon, 07 Apr 2025 14:44:05 +0000

Hello Andreas,

Andreas Enge <[email-masked]> writes:

> I have pushed your patches 2 and 4.

Thanks!

> Concerning boost with numpy, I am not sure; should we add numpy
> directly to boost as an input? This might actually create a circular
> dependency (I have not checked). In any case, both are monster packages,
> so replacing boost by a combination of the two may be a bad idea, and
> your suggestion to create a separate boost-with-numpy is preferable.

I just checked and there does not seem to be a circular dependency.
However, boost has *much* less transitive dependencies than python-numpy
and is depended on by many packages. Its build time and compressed size
(~20 MB) is also not that large, so I think a separate package is not
that bad.

Cheers,
David